/*
Copyright (C) 2022 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

#ifndef _LOG_H_INCLUDED
#define _LOG_H_INCLUDED

//Includes
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

//Defines
#define LOG_BUFFER                  500

//Log errors
#define LOG_ERR_SUCCESS             200
#define LOG_ERR_TIME                201
#define LOG_ERR_LOGFILE_OPEN        202


//Prototypes
int open_logfile(char* filename);
void close_logfile();
int textout_log(int err, int log, char* text, ...);

#endif
